/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/8.5.75
 * Generated at: 2022-10-21 12:03:14 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.tag.web.addons.secureportaladdon.responsive.spuser;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public final class register_tag
    extends javax.servlet.jsp.tagext.SimpleTagSupport
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

private static org.apache.jasper.runtime.ProtectedFunctionMapper _jspx_fnmap_0;

static {
  _jspx_fnmap_0= org.apache.jasper.runtime.ProtectedFunctionMapper.getMapForFunction("fn:escapeXml", org.apache.taglibs.standard.functions.Functions.class, "escapeXml", new Class[] {java.lang.String.class});
}

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.HashMap<java.lang.String,java.lang.Long>(16);
    _jspx_dependants.put("/WEB-INF/tags/responsive/formElement/formSelectBoxDefaultEnabled.tag", Long.valueOf(1666344869695L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/platform/ext/core/lib/spring-webmvc-5.3.18.jar!/META-INF/spring-form.tld", Long.valueOf(1648709400000L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/template/errorSpanField.tag", Long.valueOf(1666344869711L));
    _jspx_dependants.put("file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/platform/ext/core/lib/spring-webmvc-5.3.18.jar", Long.valueOf(1649192984000L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/formElement/formSelectBox.tag", Long.valueOf(1666344869695L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/template/implicit.tld", Long.valueOf(1666344869711L));
    _jspx_dependants.put("/WEB-INF/tags/shared/theme/implicit.tld", Long.valueOf(1666344869711L));
    _jspx_dependants.put("/WEB-INF/common/tld/cmstags.tld", Long.valueOf(1666344869627L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/formElement/formTextArea.tag", Long.valueOf(1666344869695L));
    _jspx_dependants.put("/WEB-INF/lib/javax.servlet.jsp.jstl-1.2.5.jar", Long.valueOf(1666345590277L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/formElement/implicit.tld", Long.valueOf(1666344869695L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/formElement/formInputBox.tag", Long.valueOf(1666344869695L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/custom/yb2bacceleratorstorefront/web/webroot/WEB-INF/lib/javax.servlet.jsp.jstl-1.2.5.jar!/META-INF/c.tld", Long.valueOf(1531470420000L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/platform/ext/core/lib/spring-webmvc-5.3.18.jar!/META-INF/spring.tld", Long.valueOf(1648709400000L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/custom/yb2bacceleratorstorefront/web/webroot/WEB-INF/lib/javax.servlet.jsp.jstl-1.2.5.jar!/META-INF/fn.tld", Long.valueOf(1531470420000L));
    _jspx_dependants.put("/WEB-INF/common/tld/ycommercetags.tld", Long.valueOf(1666344869627L));
  }

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = null;
  }

  private javax.servlet.jsp.JspContext jspContext;
  private java.io.Writer _jspx_sout;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fspring_005fhtmlEscape_0026_005fdefaultHtmlEscape_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fform_005fform_0026_005fmodelAttribute_005fmethod_005fid_005faction;

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public void setJspContext(javax.servlet.jsp.JspContext ctx) {
    super.setJspContext(ctx);
    java.util.ArrayList _jspx_nested = null;
    java.util.ArrayList _jspx_at_begin = null;
    java.util.ArrayList _jspx_at_end = null;
    this.jspContext = new org.apache.jasper.runtime.JspContextWrapper(this, ctx, _jspx_nested, _jspx_at_begin, _jspx_at_end, null);
  }

  public javax.servlet.jsp.JspContext getJspContext() {
    return this.jspContext;
  }
  private java.lang.String actionNameKey;
  private java.lang.String action;

  public java.lang.String getActionNameKey() {
    return this.actionNameKey;
  }

  public void setActionNameKey(java.lang.String actionNameKey) {
    this.actionNameKey = actionNameKey;
    jspContext.setAttribute("actionNameKey", actionNameKey);
  }

  public java.lang.String getAction() {
    return this.action;
  }

  public void setAction(java.lang.String action) {
    this.action = action;
    jspContext.setAttribute("action", action);
  }

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    return _jsp_instancemanager;
  }

  private void _jspInit(javax.servlet.ServletConfig config) {
    _005fjspx_005ftagPool_005fspring_005fhtmlEscape_0026_005fdefaultHtmlEscape_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(config);
    _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(config);
    _005fjspx_005ftagPool_005fform_005fform_0026_005fmodelAttribute_005fmethod_005fid_005faction = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(config);
    _el_expressionfactory = _jspxFactory.getJspApplicationContext(config.getServletContext()).getExpressionFactory();
    _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(config);
  }

  public void _jspDestroy() {
    _005fjspx_005ftagPool_005fspring_005fhtmlEscape_0026_005fdefaultHtmlEscape_005fnobody.release();
    _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.release();
    _005fjspx_005ftagPool_005fform_005fform_0026_005fmodelAttribute_005fmethod_005fid_005faction.release();
  }

  public void doTag() throws javax.servlet.jsp.JspException, java.io.IOException {
    javax.servlet.jsp.PageContext _jspx_page_context = (javax.servlet.jsp.PageContext)jspContext;
    javax.servlet.http.HttpServletRequest request = (javax.servlet.http.HttpServletRequest) _jspx_page_context.getRequest();
    javax.servlet.http.HttpServletResponse response = (javax.servlet.http.HttpServletResponse) _jspx_page_context.getResponse();
    javax.servlet.http.HttpSession session = _jspx_page_context.getSession();
    javax.servlet.ServletContext application = _jspx_page_context.getServletContext();
    javax.servlet.ServletConfig config = _jspx_page_context.getServletConfig();
    javax.servlet.jsp.JspWriter out = jspContext.getOut();
    _jspInit(config);
    jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,jspContext);
    if( getActionNameKey() != null ) 
      _jspx_page_context.setAttribute("actionNameKey", getActionNameKey());
    if( getAction() != null ) 
      _jspx_page_context.setAttribute("action", getAction());

    try {
      if (_jspx_meth_spring_005fhtmlEscape_005f0(_jspx_page_context))
        return;
      out.write("<div class=\"headline\">\n");
      out.write("    ");
      if (_jspx_meth_spring_005ftheme_005f0(_jspx_page_context))
        return;
      out.write("</div>\n");
      out.write("<p>\n");
      out.write("    ");
      if (_jspx_meth_spring_005ftheme_005f1(_jspx_page_context))
        return;
      out.write("</p>\n");
      out.write("\n");
      out.write("<div>\n");
      out.write("    ");
      if (_jspx_meth_form_005fform_005f0(_jspx_page_context))
        return;
      out.write("</div>\n");
    } catch( java.lang.Throwable t ) {
      if( t instanceof javax.servlet.jsp.SkipPageException )
          throw (javax.servlet.jsp.SkipPageException) t;
      if( t instanceof java.io.IOException )
          throw (java.io.IOException) t;
      if( t instanceof java.lang.IllegalStateException )
          throw (java.lang.IllegalStateException) t;
      if( t instanceof javax.servlet.jsp.JspException )
          throw (javax.servlet.jsp.JspException) t;
      throw new javax.servlet.jsp.JspException(t);
    } finally {
      jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,super.getJspContext());
      ((org.apache.jasper.runtime.JspContextWrapper) jspContext).syncEndTagFile();
      _jspDestroy();
    }
  }

  private boolean _jspx_meth_spring_005fhtmlEscape_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  spring:htmlEscape
    org.springframework.web.servlet.tags.HtmlEscapeTag _jspx_th_spring_005fhtmlEscape_005f0 = (org.springframework.web.servlet.tags.HtmlEscapeTag) _005fjspx_005ftagPool_005fspring_005fhtmlEscape_0026_005fdefaultHtmlEscape_005fnobody.get(org.springframework.web.servlet.tags.HtmlEscapeTag.class);
    boolean _jspx_th_spring_005fhtmlEscape_005f0_reused = false;
    try {
      _jspx_th_spring_005fhtmlEscape_005f0.setPageContext(_jspx_page_context);
      _jspx_th_spring_005fhtmlEscape_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(13,0) name = defaultHtmlEscape type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_spring_005fhtmlEscape_005f0.setDefaultHtmlEscape(true);
      int[] _jspx_push_body_count_spring_005fhtmlEscape_005f0 = new int[] { 0 };
      try {
        int _jspx_eval_spring_005fhtmlEscape_005f0 = _jspx_th_spring_005fhtmlEscape_005f0.doStartTag();
        if (_jspx_th_spring_005fhtmlEscape_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_spring_005fhtmlEscape_005f0[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_spring_005fhtmlEscape_005f0.doCatch(_jspx_exception);
      } finally {
        _jspx_th_spring_005fhtmlEscape_005f0.doFinally();
      }
      _005fjspx_005ftagPool_005fspring_005fhtmlEscape_0026_005fdefaultHtmlEscape_005fnobody.reuse(_jspx_th_spring_005fhtmlEscape_005f0);
      _jspx_th_spring_005fhtmlEscape_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_spring_005fhtmlEscape_005f0, _jsp_getInstanceManager(), _jspx_th_spring_005fhtmlEscape_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_spring_005ftheme_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  spring:theme
    org.springframework.web.servlet.tags.ThemeTag _jspx_th_spring_005ftheme_005f0 = (org.springframework.web.servlet.tags.ThemeTag) _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.get(org.springframework.web.servlet.tags.ThemeTag.class);
    boolean _jspx_th_spring_005ftheme_005f0_reused = false;
    try {
      _jspx_th_spring_005ftheme_005f0.setPageContext(_jspx_page_context);
      _jspx_th_spring_005ftheme_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(15,4) name = code type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_spring_005ftheme_005f0.setCode("text.secureportal.register.new.customer");
      int[] _jspx_push_body_count_spring_005ftheme_005f0 = new int[] { 0 };
      try {
        int _jspx_eval_spring_005ftheme_005f0 = _jspx_th_spring_005ftheme_005f0.doStartTag();
        if (_jspx_th_spring_005ftheme_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_spring_005ftheme_005f0[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_spring_005ftheme_005f0.doCatch(_jspx_exception);
      } finally {
        _jspx_th_spring_005ftheme_005f0.doFinally();
      }
      _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.reuse(_jspx_th_spring_005ftheme_005f0);
      _jspx_th_spring_005ftheme_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_spring_005ftheme_005f0, _jsp_getInstanceManager(), _jspx_th_spring_005ftheme_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_spring_005ftheme_005f1(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  spring:theme
    org.springframework.web.servlet.tags.ThemeTag _jspx_th_spring_005ftheme_005f1 = (org.springframework.web.servlet.tags.ThemeTag) _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.get(org.springframework.web.servlet.tags.ThemeTag.class);
    boolean _jspx_th_spring_005ftheme_005f1_reused = false;
    try {
      _jspx_th_spring_005ftheme_005f1.setPageContext(_jspx_page_context);
      _jspx_th_spring_005ftheme_005f1.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(18,4) name = code type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_spring_005ftheme_005f1.setCode("text.secureportal.register.description");
      int[] _jspx_push_body_count_spring_005ftheme_005f1 = new int[] { 0 };
      try {
        int _jspx_eval_spring_005ftheme_005f1 = _jspx_th_spring_005ftheme_005f1.doStartTag();
        if (_jspx_th_spring_005ftheme_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_spring_005ftheme_005f1[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_spring_005ftheme_005f1.doCatch(_jspx_exception);
      } finally {
        _jspx_th_spring_005ftheme_005f1.doFinally();
      }
      _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.reuse(_jspx_th_spring_005ftheme_005f1);
      _jspx_th_spring_005ftheme_005f1_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_spring_005ftheme_005f1, _jsp_getInstanceManager(), _jspx_th_spring_005ftheme_005f1_reused);
    }
    return false;
  }

  private boolean _jspx_meth_form_005fform_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  form:form
    org.springframework.web.servlet.tags.form.FormTag _jspx_th_form_005fform_005f0 = (org.springframework.web.servlet.tags.form.FormTag) _005fjspx_005ftagPool_005fform_005fform_0026_005fmodelAttribute_005fmethod_005fid_005faction.get(org.springframework.web.servlet.tags.form.FormTag.class);
    boolean _jspx_th_form_005fform_005f0_reused = false;
    try {
      _jspx_th_form_005fform_005f0.setPageContext(_jspx_page_context);
      _jspx_th_form_005fform_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(22,4) name = method type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_form_005fform_005f0.setMethod("post");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(22,4) name = id type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_form_005fform_005f0.setId("registerForm");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(22,4) name = modelAttribute type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_form_005fform_005f0.setModelAttribute("registrationForm");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(22,4) name = action type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_form_005fform_005f0.setAction((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${action}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      int[] _jspx_push_body_count_form_005fform_005f0 = new int[] { 0 };
      try {
        int _jspx_eval_form_005fform_005f0 = _jspx_th_form_005fform_005f0.doStartTag();
        if (_jspx_eval_form_005fform_005f0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
          do {
            if (_jspx_meth_formElement_005fformSelectBox_005f0(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformSelectBoxDefaultEnabled_005f0(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f0(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f1(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f2(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f3(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f4(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f5(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f6(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            if (_jspx_meth_formElement_005fformInputBox_005f7(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("<div class=\"row\">\n");
            out.write("            <div class=\"col-sm-10 phone\">\n");
            out.write("                ");
            if (_jspx_meth_formElement_005fformInputBox_005f8(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("</div>\n");
            out.write("            <div class=\"col-sm-2 extension\">\n");
            out.write("                ");
            if (_jspx_meth_formElement_005fformInputBox_005f9(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("</div>\n");
            out.write("        </div>\n");
            out.write("        ");
            if (_jspx_meth_formElement_005fformInputBox_005f10(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("<div class=\"form-group\">\n");
            out.write("            <label class=\"control-label\" for=\"register.confirm.email\"> ");
            if (_jspx_meth_spring_005ftheme_005f2(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("</label>\n");
            out.write("            <input class=\"form-control js-secureportal-confirm-register-email\" id=\"register.confirm.email\"/>\n");
            out.write("\n");
            out.write("            <div class=\"js-secureportal-email-not-match-message has-error\" style=\"display:none\">\n");
            out.write("                <span class=\"help-block\">\n");
            out.write("                    ");
            if (_jspx_meth_spring_005ftheme_005f3(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("</span>\n");
            out.write("            </div>\n");
            out.write("        </div>\n");
            out.write("\n");
            out.write("        ");
            if (_jspx_meth_formElement_005fformTextArea_005f0(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("<input type=\"hidden\" id=\"recaptchaChallangeAnswered\" value=\"");
            out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${fn:escapeXml(requestScope.recaptchaChallangeAnswered)}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), _jspx_fnmap_0));
            out.write("\"/>\n");
            out.write("\n");
            out.write("        <div class=\"form_field-elements control-group js-recaptcha-captchaaddon\"></div>\n");
            out.write("\n");
            out.write("        <div class=\"register-form-action row\">\n");
            out.write("            <div class=\"col-xs-12 col-md-6 pull-right\">\n");
            out.write("                ");
            if (_jspx_meth_ycommerce_005ftestId_005f0(_jspx_th_form_005fform_005f0, _jspx_page_context, _jspx_push_body_count_form_005fform_005f0))
              return true;
            out.write("</div>\n");
            out.write("        </div>\n");
            out.write("    ");
            int evalDoAfterBody = _jspx_th_form_005fform_005f0.doAfterBody();
            if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
              break;
          } while (true);
        }
        if (_jspx_th_form_005fform_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_form_005fform_005f0[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_form_005fform_005f0.doCatch(_jspx_exception);
      } finally {
        _jspx_th_form_005fform_005f0.doFinally();
      }
      _005fjspx_005ftagPool_005fform_005fform_0026_005fmodelAttribute_005fmethod_005fid_005faction.reuse(_jspx_th_form_005fform_005f0);
      _jspx_th_form_005fform_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_form_005fform_005f0, _jsp_getInstanceManager(), _jspx_th_form_005fform_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformSelectBox_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formSelectBox
    org.apache.jsp.tag.web.responsive.formElement.formSelectBox_tag _jspx_th_formElement_005fformSelectBox_005f0 = new org.apache.jsp.tag.web.responsive.formElement.formSelectBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformSelectBox_005f0);
    try {
      _jspx_th_formElement_005fformSelectBox_005f0.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformSelectBox_005f0.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setIdKey("address.country_del");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setLabelKey("address.country");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setPath("companyAddressCountryIso");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setMandatory(java.lang.Boolean.valueOf("true"));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = skipBlank type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setSkipBlank(java.lang.Boolean.valueOf("false"));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = skipBlankMessageKey type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setSkipBlankMessageKey("address.selectCountry");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = items type = java.util.Collection reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setItems((java.util.Collection) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${countries}", java.util.Collection.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = itemValue type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setItemValue("isocode");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(23,8) name = selectCSSClass type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBox_005f0.setSelectCSSClass("form-control");
      _jspx_th_formElement_005fformSelectBox_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformSelectBox_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformSelectBoxDefaultEnabled_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formSelectBoxDefaultEnabled
    org.apache.jsp.tag.web.responsive.formElement.formSelectBoxDefaultEnabled_tag _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0 = new org.apache.jsp.tag.web.responsive.formElement.formSelectBoxDefaultEnabled_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0);
    try {
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setIdKey("register.title");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setLabelKey("register.title");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setPath("titleCode");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setMandatory(java.lang.Boolean.valueOf("true"));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = skipBlank type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setSkipBlank(java.lang.Boolean.valueOf("false"));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = skipBlankMessageKey type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setSkipBlankMessageKey("form.select.none");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = items type = java.util.Collection reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setItems((java.util.Collection) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${titles}", java.util.Collection.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(27,8) name = selectCSSClass type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.setSelectCSSClass("form-control");
      _jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformSelectBoxDefaultEnabled_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f0 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f0);
    try {
      _jspx_th_formElement_005fformInputBox_005f0.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f0.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(32,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f0.setIdKey("text.secureportal.register.firstName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(32,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f0.setLabelKey("text.secureportal.register.firstName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(32,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f0.setPath("firstName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(32,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f0.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(32,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f0.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f1(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f1 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f1);
    try {
      _jspx_th_formElement_005fformInputBox_005f1.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f1.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(35,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f1.setIdKey("text.secureportal.register.lastName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(35,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f1.setLabelKey("text.secureportal.register.lastName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(35,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f1.setPath("lastName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(35,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f1.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(35,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f1.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f1.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f1);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f2(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f2 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f2);
    try {
      _jspx_th_formElement_005fformInputBox_005f2.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f2.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(38,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f2.setIdKey("text.secureportal.register.companyName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(38,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f2.setLabelKey("text.secureportal.register.companyName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(38,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f2.setPath("companyName");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(38,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f2.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(38,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f2.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f2.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f2);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f3(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f3 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f3);
    try {
      _jspx_th_formElement_005fformInputBox_005f3.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f3.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(41,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f3.setIdKey("address.line1");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(41,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f3.setLabelKey("address.line1");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(41,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f3.setPath("companyAddressStreet");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(41,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f3.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(41,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f3.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f3.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f3);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f4(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f4 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f4);
    try {
      _jspx_th_formElement_005fformInputBox_005f4.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f4.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(43,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f4.setIdKey("address.line2");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(43,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f4.setLabelKey("address.line2");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(43,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f4.setPath("companyAddressStreetLine2");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(43,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f4.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(43,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f4.setMandatory(java.lang.Boolean.valueOf("false"));
      _jspx_th_formElement_005fformInputBox_005f4.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f4);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f5(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f5 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f5);
    try {
      _jspx_th_formElement_005fformInputBox_005f5.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f5.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(45,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f5.setIdKey("address.townCity");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(45,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f5.setLabelKey("address.townCity");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(45,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f5.setPath("companyAddressCity");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(45,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f5.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(45,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f5.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f5.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f5);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f6(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f6 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f6);
    try {
      _jspx_th_formElement_005fformInputBox_005f6.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f6.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(47,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f6.setIdKey("address.postcode");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(47,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f6.setLabelKey("address.postcode");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(47,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f6.setPath("companyAddressPostalCode");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(47,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f6.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(47,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f6.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f6.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f6);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f7(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f7 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f7);
    try {
      _jspx_th_formElement_005fformInputBox_005f7.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f7.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(49,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f7.setIdKey("text.secureportal.register.position");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(49,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f7.setLabelKey("text.secureportal.register.position");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(49,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f7.setPath("position");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(49,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f7.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(49,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f7.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f7.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f7);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f8(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f8 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f8);
    try {
      _jspx_th_formElement_005fformInputBox_005f8.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f8.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(55,16) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f8.setIdKey("storeDetails.table.telephone");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(55,16) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f8.setLabelKey("storeDetails.table.telephone");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(55,16) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f8.setPath("telephone");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(55,16) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f8.setInputCSS("form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(55,16) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f8.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f8.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f8);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f9(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f9 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f9);
    try {
      _jspx_th_formElement_005fformInputBox_005f9.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f9.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(59,16) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f9.setIdKey("text.secureportal.register.extension");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(59,16) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f9.setLabelKey("text.secureportal.register.extension");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(59,16) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f9.setPath("telephoneExtension");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(59,16) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f9.setInputCSS("form-control");
      _jspx_th_formElement_005fformInputBox_005f9.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f9);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformInputBox_005f10(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formInputBox
    org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag _jspx_th_formElement_005fformInputBox_005f10 = new org.apache.jsp.tag.web.responsive.formElement.formInputBox_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformInputBox_005f10);
    try {
      _jspx_th_formElement_005fformInputBox_005f10.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformInputBox_005f10.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(64,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f10.setIdKey("register.email");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(64,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f10.setLabelKey("register.email");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(64,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f10.setPath("email");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(64,8) name = inputCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f10.setInputCSS("form-control js-secureportal-orignal-register-email");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(64,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformInputBox_005f10.setMandatory(java.lang.Boolean.valueOf("true"));
      _jspx_th_formElement_005fformInputBox_005f10.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformInputBox_005f10);
    }
    return false;
  }

  private boolean _jspx_meth_spring_005ftheme_005f2(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  spring:theme
    org.springframework.web.servlet.tags.ThemeTag _jspx_th_spring_005ftheme_005f2 = (org.springframework.web.servlet.tags.ThemeTag) _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.get(org.springframework.web.servlet.tags.ThemeTag.class);
    boolean _jspx_th_spring_005ftheme_005f2_reused = false;
    try {
      _jspx_th_spring_005ftheme_005f2.setPageContext(_jspx_page_context);
      _jspx_th_spring_005ftheme_005f2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(68,71) name = code type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_spring_005ftheme_005f2.setCode("guest.confirm.email");
      int[] _jspx_push_body_count_spring_005ftheme_005f2 = new int[] { 0 };
      try {
        int _jspx_eval_spring_005ftheme_005f2 = _jspx_th_spring_005ftheme_005f2.doStartTag();
        if (_jspx_th_spring_005ftheme_005f2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_spring_005ftheme_005f2[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_spring_005ftheme_005f2.doCatch(_jspx_exception);
      } finally {
        _jspx_th_spring_005ftheme_005f2.doFinally();
      }
      _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.reuse(_jspx_th_spring_005ftheme_005f2);
      _jspx_th_spring_005ftheme_005f2_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_spring_005ftheme_005f2, _jsp_getInstanceManager(), _jspx_th_spring_005ftheme_005f2_reused);
    }
    return false;
  }

  private boolean _jspx_meth_spring_005ftheme_005f3(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  spring:theme
    org.springframework.web.servlet.tags.ThemeTag _jspx_th_spring_005ftheme_005f3 = (org.springframework.web.servlet.tags.ThemeTag) _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.get(org.springframework.web.servlet.tags.ThemeTag.class);
    boolean _jspx_th_spring_005ftheme_005f3_reused = false;
    try {
      _jspx_th_spring_005ftheme_005f3.setPageContext(_jspx_page_context);
      _jspx_th_spring_005ftheme_005f3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(74,20) name = code type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_spring_005ftheme_005f3.setCode("text.secureportal.register.email.not.match");
      int[] _jspx_push_body_count_spring_005ftheme_005f3 = new int[] { 0 };
      try {
        int _jspx_eval_spring_005ftheme_005f3 = _jspx_th_spring_005ftheme_005f3.doStartTag();
        if (_jspx_th_spring_005ftheme_005f3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_spring_005ftheme_005f3[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_spring_005ftheme_005f3.doCatch(_jspx_exception);
      } finally {
        _jspx_th_spring_005ftheme_005f3.doFinally();
      }
      _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.reuse(_jspx_th_spring_005ftheme_005f3);
      _jspx_th_spring_005ftheme_005f3_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_spring_005ftheme_005f3, _jsp_getInstanceManager(), _jspx_th_spring_005ftheme_005f3_reused);
    }
    return false;
  }

  private boolean _jspx_meth_formElement_005fformTextArea_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  formElement:formTextArea
    org.apache.jsp.tag.web.responsive.formElement.formTextArea_tag _jspx_th_formElement_005fformTextArea_005f0 = new org.apache.jsp.tag.web.responsive.formElement.formTextArea_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_formElement_005fformTextArea_005f0);
    try {
      _jspx_th_formElement_005fformTextArea_005f0.setJspContext(_jspx_page_context);
      _jspx_th_formElement_005fformTextArea_005f0.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(79,8) name = idKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformTextArea_005f0.setIdKey("text.secureportal.register.message");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(79,8) name = labelKey type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformTextArea_005f0.setLabelKey("text.secureportal.register.message");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(79,8) name = path type = java.lang.String reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformTextArea_005f0.setPath("message");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(79,8) name = areaCSS type = java.lang.String reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformTextArea_005f0.setAreaCSS("textarea form-control");
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(79,8) name = mandatory type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_formElement_005fformTextArea_005f0.setMandatory(java.lang.Boolean.valueOf("false"));
      _jspx_th_formElement_005fformTextArea_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_formElement_005fformTextArea_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_ycommerce_005ftestId_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_form_005fform_005f0, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count_form_005fform_005f0)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  ycommerce:testId
    de.hybris.platform.yb2bacceleratorstorefront.tags.TestIdTag _jspx_th_ycommerce_005ftestId_005f0 = new de.hybris.platform.yb2bacceleratorstorefront.tags.TestIdTag();
    _jsp_getInstanceManager().newInstance(_jspx_th_ycommerce_005ftestId_005f0);
    try {
      _jspx_th_ycommerce_005ftestId_005f0.setJspContext(_jspx_page_context);
      _jspx_th_ycommerce_005ftestId_005f0.setParent(_jspx_th_form_005fform_005f0);
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(89,16) name = code type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_ycommerce_005ftestId_005f0.setCode("register_Register_button");
      _jspx_th_ycommerce_005ftestId_005f0.setJspBody(new Helper( 0, _jspx_page_context, _jspx_th_ycommerce_005ftestId_005f0, _jspx_push_body_count_form_005fform_005f0));
      _jspx_th_ycommerce_005ftestId_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_ycommerce_005ftestId_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_spring_005ftheme_005f4(javax.servlet.jsp.tagext.JspTag _jspx_parent, javax.servlet.jsp.PageContext _jspx_page_context, int[] _jspx_push_body_count)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  spring:theme
    org.springframework.web.servlet.tags.ThemeTag _jspx_th_spring_005ftheme_005f4 = (org.springframework.web.servlet.tags.ThemeTag) _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.get(org.springframework.web.servlet.tags.ThemeTag.class);
    boolean _jspx_th_spring_005ftheme_005f4_reused = false;
    try {
      _jspx_th_spring_005ftheme_005f4.setPageContext(_jspx_page_context);
      _jspx_th_spring_005ftheme_005f4.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) _jspx_parent));
      // /WEB-INF/tags/addons/secureportaladdon/responsive/spuser/register.tag(91,24) name = code type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_spring_005ftheme_005f4.setCode((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${actionNameKey}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      int[] _jspx_push_body_count_spring_005ftheme_005f4 = new int[] { 0 };
      try {
        int _jspx_eval_spring_005ftheme_005f4 = _jspx_th_spring_005ftheme_005f4.doStartTag();
        if (_jspx_th_spring_005ftheme_005f4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
          throw new javax.servlet.jsp.SkipPageException();
        }
      } catch (java.lang.Throwable _jspx_exception) {
        while (_jspx_push_body_count_spring_005ftheme_005f4[0]-- > 0)
          out = _jspx_page_context.popBody();
        _jspx_th_spring_005ftheme_005f4.doCatch(_jspx_exception);
      } finally {
        _jspx_th_spring_005ftheme_005f4.doFinally();
      }
      _005fjspx_005ftagPool_005fspring_005ftheme_0026_005fcode_005fnobody.reuse(_jspx_th_spring_005ftheme_005f4);
      _jspx_th_spring_005ftheme_005f4_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_spring_005ftheme_005f4, _jsp_getInstanceManager(), _jspx_th_spring_005ftheme_005f4_reused);
    }
    return false;
  }

  private class Helper
      extends org.apache.jasper.runtime.JspFragmentHelper
  {
    private javax.servlet.jsp.tagext.JspTag _jspx_parent;
    private int[] _jspx_push_body_count;

    public Helper( int discriminator, javax.servlet.jsp.JspContext jspContext, javax.servlet.jsp.tagext.JspTag _jspx_parent, int[] _jspx_push_body_count ) {
      super( discriminator, jspContext, _jspx_parent );
      this._jspx_parent = _jspx_parent;
      this._jspx_push_body_count = _jspx_push_body_count;
    }
    public boolean invoke0( javax.servlet.jsp.JspWriter out ) 
      throws java.lang.Throwable
    {
      out.write("<button data-theme=\"b\" class=\"js-secureportal-register-button btn btn-primary btn-block\">\n");
      out.write("                        ");
      if (_jspx_meth_spring_005ftheme_005f4(_jspx_parent, _jspx_page_context, _jspx_push_body_count))
        return true;
      out.write("</button>\n");
      out.write("                ");
      return false;
    }
    public void invoke( java.io.Writer writer )
      throws javax.servlet.jsp.JspException
    {
      javax.servlet.jsp.JspWriter out = null;
      if( writer != null ) {
        out = this.jspContext.pushBody(writer);
      } else {
        out = this.jspContext.getOut();
      }
      try {
        Object _jspx_saved_JspContext = this.jspContext.getELContext().getContext(javax.servlet.jsp.JspContext.class);
        this.jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,this.jspContext);
        switch( this.discriminator ) {
          case 0:
            invoke0( out );
            break;
        }
        jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,_jspx_saved_JspContext);
      }
      catch( java.lang.Throwable e ) {
        if (e instanceof javax.servlet.jsp.SkipPageException)
            throw (javax.servlet.jsp.SkipPageException) e;
        throw new javax.servlet.jsp.JspException( e );
      }
      finally {
        if( writer != null ) {
          this.jspContext.popBody();
        }
      }
    }
  }
}
